
.hform {
	margin: 0 auto;
}
body.form .hform {
	padding: 0 10px 1rem;
}
.dlg .hform {
	height: 100dvh;
	padding: var(--min-hh) 20px 0;
	overflow-x: clip;
	overflow-y: auto;
}
.hform h2 {
    text-align: center;
    font: 300 max(1rem, min(2rem, 8vmin)) /1 var(--font-r);
    margin: 1vh 0 3vh;
    min-height: 3vh;
	scale: 1;
}
.hform > div {
    display: flex;
    flex-direction: column;
    align-items: center;
	margin-bottom: 1rem;
	height: 100%;
    max-width: 500px;
    margin: 0 auto;
    overflow-y: auto;
    overflow-x: hidden;
}
body.form .hform > div {
    max-width: 1000px;
}
body.form .hform > div { 
	min-height: calc(100dvh - var(--min-hh) - 1rem);
}
.hform .form_footer {
	margin-bottom: 1rem;
}
.hform .form_footer,
.hform .form_field,
.hform .srvbtns
{
	padding: 0 4px;
}	
.form_container {
    flex: 1;
    display: flex;
    width: 100%;
}
.form_holder {
	display: flex;
	gap: 0 1vw;
	width: 100%;
	overflow-x: clip;
	transition: .3s translate;
}
#reg_page:checked + form .form_holder,
form .form_holder:has(> div:last-child :is(input, a):focus) {
	overflow-x: visible;
	translate: calc(-100% - 1vw) 0;
}
#reg_page + form .form_holder:has(> div:first-child input:focus),
#reg_page + form .form_holder:has(> div:first-child input:invalid)
{
	overflow-x: clip;
	translate: 0;
}
 body.form .form_holder > div:first-child:has(input:invalid) .form_button {
	opacity: .3;
	cursor: default;
}

.form_holder > div {
    width: 100%;
    flex: 1 0 100%;
	padding-top: .4rem;
    display: flex;
    flex-direction: column;
}
.form_holder .btns:last-child {
	margin-top: auto;
	margin-bottom: 1rem;
}
body.form .form_holder .btns .form_button {
	border-color: var(--color-gray-border);
	color: var(--color-gray-form);
	background-color: #fff;
	cursor: pointer;
}
.form_field {
	width: 100%;
}
.njs .course_field {
	display: none;
}	
.choice_list, .choice_list .field_text {
    height: 100%;
    margin: 0;
}
.choice_list {
    flex: 1;
    min-height: 0;
}	
.choice_list .field_text {
	padding: 0 .5em;
	overflow-x: clip;
	overflow-y: auto;
	scrollbar-width: none; /* Firefox */
}
.choice_list .field_text::-webkit-scrollbar {
	width: 0;
}
.choice_list:hover .field_text {
	scrollbar-width: thin; /* Firefox */
}
.field_text:hover  .field_text::-webkit-scrollbar {
	width: initial;
}
.c_list {
    padding: 0 0 10px 0;
}
.choice_list .c_container {
	outline: 2px solid transparent;
}
.choice_list .c_container.error {
	outline: 2px solid var(--color-red-strike);
	transition: outline .5s;
}
.c_container ~ .form_label.error,
.c_container.error + .form_label {
	color: var(--color-red);
	display: none;
}
.c_container.error ~ .form_label.error {
	display: inline-block;
}
	
@media (min-width: 600px) {	
 .form_holder {
	transition: none;
	translate: none !important;
 }
 .form_holder > div {
	padding-top: 0;
 }
 body.form .form_holder > div {
	flex: 0 1 60%;
 }	
 body.form .form_holder > div:last-child {
	flex: 0 1 40%;
	margin-top: -60px;
 }
 .njs body.form .form_holder > div:last-child {
	margin-top: 0;
 }	
 body.form .course_field {
	width: calc(60% - 0.5vw - 1px);
	align-self: start;
 }
 body.form .form_holder .btns:last-child {
	display: none;
 }
 .c_list {
	color: var(--color-gray-text);
 }
 .c_list:hover, .c_list:focus-within {
	color: inherit;
 }	
}	

.form_field .clear {
	display: inline-block;
    position: absolute;
    top: 50%;
    right: 7px;
    translate: 0 -50%;
    width: 2rem;
    height: 2rem;
    padding: 0;
    background: none;
    border: 0;
    border-radius: 10px;
	background: #fff;
    cursor: pointer;
}
.njs .form_field .clear {
	display: none;
}	
.form_field .clear:hover {
	border: 1px solid var(--color-light-blue);
}	
.form_field .clear:active {
	border-color: var(--color-blue);
}	
.form_field input:invalid ~ .clear {	
    display: none;
}
.form_field .clear span {
    display: inline-block;
    width: 100%;
    height: 100%;
    background-color: var(--color-gray-border);
    mask: url(/pic/xicons.svg#clear) center / 1.2rem no-repeat;
}
.form_field .clear:hover  span,
.form_field .clear:active  span {
	background-color: var(--color-blue);
}
.form_field:has(.clear) input {
	padding-right: calc(2rem + 7px);
}

.c_list label {
	display: flex;
	align-items: center;

	cursor: pointer;
	position: relative;
}
.c_list .section label {
	padding: 6px 8px;
	margin: 4px;
	border-radius: var(--border-radius);
}

.c_list input {
	position: absolute;
	opacity: 0;
	pointer-events: none;
}

.c_list label::after {
	content: "";
	width: 20px;
	height: 20px;
	flex: 0 0 20px;
	margin-left: auto;
	background-color: currentColor;
}
	
.c_list .section label::after {  
	mask: url("/pic/xicons.svg#check2") no-repeat top center / contain;
	-webkit-mask: url("/pic/xicons.svg#check2") no-repeat top center / contain;
	margin-top: -8px;
	opacity: 0;
	transition: opacity 0.3s ease-out;
}

.c_list label:has(input:checked) {
	color: var(--color-blue);
}

.c_list label:has(input:checked)::after {
	opacity: 1;
}

.c_list .section label:hover {
	background: var(--color-blue-box);
	outline: 2px solid #eef6ffa1;		/* 	var(--color-blue-box); */
}

.c_list .section label:has(input:focus-visible) {
	outline: 2px solid var(--color-blue);
	outline-offset: 2px;
}

.c_list .section_title {
    position: sticky;
    top: 0;
    z-index: 1;
    padding: 12px 2px 6px;
    background: #fff;
    font-family: var(--font-r);
    font-weight: 500;
	/* white-space: nowrap;
	text-overflow: ellipsis; */
}

.c_list .section_title::after { 
	color: var(--color-gray-border);
	mask: url("/pic/xicons.svg#arrow-b") no-repeat center;
	-webkit-mask: url("/pic/xicons.svg#arrow-b") no-repeat center;
	transition: transform .3s ease-in;
}
.nav_check:checked + .section_title::after {
	transform: rotate(180deg);
}
.c_list > div:has(.section input:checked) .section_title::after {
  transform: rotate(180deg);
}
.c_list .section_title:hover::after { 
	color: var(--color-gray-text);
}
.c_list > div:has(.section input:checked) .section_title:hover::after {
	color: var(--color-gray-border);
}

.section {
	height: 0;
	overflow: hidden;
	transition: height .3s ease-in;
}
.nav_check:checked + label + .section,
.section:has(input:focus),
.section:has(input:hover),
.section:has(input:checked)
{ 
	height: auto;
}

.form_field .clear {
  display: none;
}
.form_field:has(.field_text:not(:placeholder-shown)) .clear {
  display: block;
}

::highlight(search) {
	background: var(--color-blue-box);
	color: var(--color-blue);
}
.no-results {
  display: none;
  color: var(--color-red);
}


.hform .tip {
    position: absolute;
    bottom: calc(100% - .6em);
    left: 10px;
    width: max-content;
    max-width: calc(100% - 15px);
    padding: 10px 12px;
    font: 600 14px system-ui, sans-serif;
    color: #333;
    background: #fff;
    border: 1px solid  var(--color-gray-border);
    border-radius: var(--border-radius);
    box-shadow: 0 3px 3px #0001;
    pointer-events: none;
    opacity: 0;
    transform: translateY(-5px);
    transition: transform .3s, opacity .3s;
}
.tip::before,
.tip::after{
	content: "";
	position: absolute;
	top: 100%;
	border: solid transparent;
}
.tip::before{
	left: 20px;
	border-width: 8px;
	border-top-color: var(--color-gray-border);
}
.tip::after{
	left: 21px;
	border-width: 7px;
    border-top-color: #fff;
}	
.hform:not(:focus-within) input:placeholder-shown ~ .tip {
	opacity: 1;
	transform: translateY(0);
	transition-delay: 1s;
}
#reg_page:checked + .hform input:placeholder-shown ~ .tip,
body.register .hform input:placeholder-shown ~ .tip {
	animation: show-tip 1s;
}
@keyframes show-tip {
	0%,75% {
		opacity: 0;
		transform: translateY(-5px);
	}
	100% {
		opacity: 1;
		transform: translateY(0);
	}
}

.hform .srvbtns {
	container-type: inline-size;
}
.njs .hform .srvbtns {
	display: none;
}
.hform .srvbtns .form_button {
	width: 100%;
}	
.form_holder > div:not(:has(:invalid)) + div .srvbtns .form_button {	
    color: #eee;
	background-color: var(--color-blue-button);
    border: 1px solid rgba(0, 0, 0, 0);
}
.form_holder > div:not(:has(:invalid)) + div .srvbtns .form_button:hover {
    box-shadow: 0 1px 2px 0 rgba(60,64,67,.3),0 2px 3px 1px rgba(60,64,67,.15);
    background-color: var(--color-blue);
    color: #fff;
}
.form_holder > div:not(:has(:invalid)) + div .srvbtns .form_button:active {
    background-color:  var(--color-blue-button2);
}
.form_holder > div:not(:has(:invalid)) + div .srvbtns .form_button:focus {
	-webkit-box-shadow: 0 0 0 3px #aecbfa;
	box-shadow: 0 0 0 3	px #aecbfa;
}
.form_holder > div:has(:invalid) + div .srvbtns .form_button {	
    cursor: default;
}
.njs .form_holder > div:has(:invalid) + div .srvbtns .form_button {	
    pointer-events: none;
}

.hform .srvbtns p {
    display: flex;
    align-items: center;
    text-align: center;
	margin: 1.5rem 0;
	color: var(--color-dark-gray-text);
}
.hform .srvbtns p:before,
.hform .srvbtns p:after {
    content: "";
    flex: 1 1 0%;
    border-bottom: 1px solid var(--color-gray-border);
	margin: 0 10px 0 0;
}
.hform .srvbtns p:after {	
	margin: 0 0 0 10px;
}

.srvbtns .srvlink {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: .5ch;
	padding: 9px 10px 7px;
}
.srvlink:before {
    content: "";
    display: inline-block;
    margin-right: .5ch;
    width: 24px;
    height: 24px;
    opacity: .9;
}
.form_holder > div:has(:invalid) + div .srvlink:before {
	border: 1px solid var(--color-light-blue);
	opacity: .7;
}
.srvlink:hover:before {
    opacity: 1;
}
.srvlink.vk:before {
    border-radius: 6px;
    background: #fff url("/pic/xicons.svg#vk") 50%/18px no-repeat;
}	
.srvlink.ya:before {
   border-radius: 50%;
   background: #fff url("/pic/xicons.svg#ya") 50%/100% no-repeat;
}
@container (width < 250px) {
	.srvlink span {
		display: none;
	}
}





/* ************** SECTION FEEDBACK ************************************************************* */



.feedback_pane:focus-within {
	scroll-snap-align: none;
}
.feedback_pane > div {
	gap: 20px 5vw;
}
.feedback_pane .picholder {
	flex: 1 1 50%;
}
@media (max-width: 900px){
 .feedback_pane .picholder {
	display: none;
 }
}

.infotext {
    font-size: 1rem;
    line-height: 1.5;
    color: var(--color-gray-text);
	margin-bottom: 20px;
}	
@media (min-width: 768px) {
 .infotext {
        font-size: 1.2rem;
 }
}
@media (min-width: 1024px) {
    .infotext {
        font-size: 1.375rem;
    }
}
.infotext strong {
	letter-spacing: -0.5px;
}

.form_wrapper {
    padding: 24px 20px;
	border: 1px solid var(--color-gray-border);
    border-radius: var(--border-radius-pane);
    font-family: var(--font-r);
}
@media (min-width: 900px){
 .form_wrapper {
     box-shadow: 0 2px 3px 0 rgba(60,64,67,.3), 0 6px 10px 4px rgba(60,64,67,.15);
 }
 .feedback_pane > div > div {
	padding: 0 0 0 10px;		/* for shadow */
 }
}

.form_field {
	position: relative;
	margin-bottom: 1rem;
}
.field_text {
    background-clip: padding-box;
    background-color: transparent;
	border: 1px solid var(--color-gray-border);
    border-radius: var(--border-radius);
    color: #000;				/*var(--color-gray-text);*/
    cursor: text;
    display: block;
    font: 1rem var(--font-r);
    line-height: 1.5;
    min-height: 44px;
    outline: none;
    padding: 4px 10px;
    position: relative;
    width: 100%;
}
.form_label {
    color: var(--color-gray-form);
	border-radius: var(--border-radius);
    display: inline-block;
    font-size: 1rem;
	line-height: 1.5;
    margin: 0;
	padding: 0 4px;
    max-width: 120%;
    overflow: hidden;
    position: absolute;
    text-overflow: ellipsis;
    top: 0;
	left: 12px;
    -webkit-transform: translateY(-14px) scale(0.8);
    transform: translateY(-14px) scale(0.8);
    -webkit-transform-origin: bottom left;
    transform-origin: bottom left;
    -webkit-transition: all .3s cubic-bezier(0.4, 0, 0.2, 1);
    transition: all .3s cubic-bezier(0.4, 0, 0.2, 1);
    white-space: nowrap;
	pointer-events: none;
    z-index: 1;
    background-color: #fff;
}
.field_text:placeholder-shown + .form_label {
    -webkit-transform: translateY(12px);
    transform: translateY(12px);
	max-width: 90%;
	padding: 0;
    z-index: -1;
    background-color: transparent;
}
.field_text:focus, .field_text:focus-within, .field_text:active {
	border: 1px solid var(--color-blue);
	outline: 1px solid var(--color-blue);
	outline-offset: 0;
}
.field_text:focus + .form_label, .field_text:focus-within + .form_label, .form_field.error .form_label {
    color: var(--color-blue);
    background-color: #fff;
	z-index: 1;
    -webkit-transform: translateY(-14px) scale(0.8);
    transform: translateY(-14px) scale(0.8);
	padding: 0 4px;
    max-width: 120%;
}
form small {	
	margin-left: 10px;
    display: none;
    font-size: 12px;
    line-height: 20px;
}
textarea.field_text {
	color: #000;
    resize: vertical;
    max-height: 30vh;
    line-height: 1.3;
    padding: 10px;
}
.field_text:invalid:not(:placeholder-shown, :focus) ~ small, 
.form_field.error small {
	color: #c5221f;
	display: block;
}
.field_text:invalid:not(:placeholder-shown, :focus) ~ .form_label,
.form_field.error .form_label {
	color: #c5221f;
}
.field_text:invalid:not(:placeholder-shown, :focus),
.form_field.error .field_text {
	border: 1px solid #c5221f;
	outline: 1px solid #c5221f;
}

.form_footer {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    /* align-items: flex-start; */
    gap: 1rem;
}	
	
.form_footer span {
	color: var(--color-gray-form);
	font: .8rem var(--font-r);
    flex: 1 1 60%;
}
.form_footer span a {	
	color: #1967d2;
}
@media (min-width: 300px) {
	.form_footer span a {	
		white-space: nowrap;
	}
}

/* в хроме автозаполненные поля будут голубыми - убираем это */
input:-webkit-autofill, input:-webkit-autofill:hover, input:-webkit-autofill:focus, 
textarea:-webkit-autofill, textarea:-webkit-autofill:hover, textarea:-webkit-autofill:focus, 
select:-webkit-autofill, select:-webkit-autofill:hover, select:-webkit-autofill:focus {
    background-color: #fff;
    box-shadow: 0 0 0 1000px #fff inset;
}

.form_wrapper .nav_check {
    display: block;
    appearance: none;
    height: 0;
    width: 0;
    position: absolute;
	outline: none !important;
}
#show_message:focus-visible ~ .form_tabs #show_message_tab,	
#show_callback:focus-visible ~ .form_tabs #show_callback_tab {
    outline: 2px solid var(--color-blue);
	outline-offset: 2px;
    border-radius: 4px;
    border: 0;
}	
#show_message:checked ~ #form_message, #show_callback:checked ~ #form_callback {
	display: block;
}
#show_message:checked ~ #form_callback, #show_callback:checked ~ #form_message {
	display: none;
}
.form_tabs {
    font-size: .9rem;
    margin-bottom: 32px;
    display: flex;
    flex-wrap: wrap;
    gap: 10px 20px;
}
.form_tabs label {
	border-bottom: 3px solid transparent;
	color: var(--color-gray-text);
	cursor: pointer;
	padding-bottom: 8px;
	margin-bottom: -2px;
}
.form_tabs label:hover {
	color: var(--color-blue);
}
#show_message:checked ~ .form_tabs #show_message_tab, #show_callback:checked ~ .form_tabs #show_callback_tab {
	color: var(--color-blue);
	border-bottom-color: var(--color-blue);
	font-weight: 500;
}

.cap_holder {
	display: flex;
	gap: 14px;
	transition: opacity .3s .2s, height .3s;
}
.form_field:has(:invalid) ~ .cap_holder {
	overflow: hidden;
	height: 0;
	opacity: 0;
}
.captcha {
	flex: 1 0 100px;
	margin-bottom: 1rem;
	position: relative;
	cursor: pointer;
}
.captcha:after {
	content: '';
	position: absolute;
	top: 0;
	right: 0;
	width: 15px;
	height: 15px;
	background: #fff url(/pic/xicons.svg#reload) center no-repeat;
	pointer-events: none;
}
.njs .captcha {
	cursor: default;
}
.njs .captcha:after {
	display: none;
}	
.captcha img {
    position: absolute;
    left: 5px;
    top: 50%;
	translate: 0 -50%;
	pointer-events: none;
}
.captcha.loading:after {
	animation: loading 1s linear infinite .3s;
}
@keyframes loading {
    to {
        transform: rotate(-360deg);
    }
}

@media (min-width: 450px) {
 .form_tabs {
    border-bottom: 1px solid #dadce0;
 }
 .form_tabs label {
	letter-spacing: .5px;
 }
}


















